Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227057 - Review Request: gnu-regexp-1.1.4-10jpp - Java NFA regular expression engine implementation
Summary: Review Request: gnu-regexp-1.1.4-10jpp - Java NFA regular expression engine i...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:36 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:24:59 UTC
jjohnstn: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:36:22 UTC
Spec URL: http://people.redhat.com/rafaels/specs/gnu-regexp-1.1.4-10jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/gnu-regexp-1.1.4-10jpp.src.rpm
Description: The gnu.regexp package is a pure-Java implementation of a traditional
(non-POSIX) NFA regular expression engine. Its syntax can emulate many
popular development tools, including awk, sed, emacs, perl and grep. For
a relatively complete list of supported and non-supported syntax, refer
to the syntax and usage notes.

Demonstrations and samples for gnu-regexp.

Javadoc for gnu-regexp.

Comment 1 Jeff Johnston 2007-02-12 15:50:17 UTC
Review Comments

- result of rpmlint
W: gnu-regexp non-standard-group Development/Libraries/Java
E: gnu-regexp tag-not-utf8 %changelog
E: gnu-regexp unknown-key GPG#c431416d
E: gnu-regexp non-utf8-spec-file gnu-regexp.spec
W: gnu-regexp unversioned-explicit-provides gnu.regexp
W: gnu-regexp unversioned-explicit-obsoletes gnu.regexp
W: gnu-regexp unversioned-explicit-provides gnu.regexp-demo
W: gnu-regexp unversioned-explicit-obsoletes gnu.regexp-demo
W: gnu-regexp unversioned-explicit-provides gnu.regexp-javadoc
W: gnu-regexp unversioned-explicit-obsoletes gnu.regexp-javadoc
W: gnu-regexp mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 48)

- Spec file name should be gnu-regexp.spec
- release should be of form: Xjpp.Y%{?dist} where only X and Y are variables
  X=upstream number and Y is local number starting with 1
- preferred buildroot is:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- it would nice in the future to add gcj support (at that time, remove the
Buildarch: noarch statement

** rpmlint on binary rpms

[jjohnstn@vermillion noarch]$ rpmlint gnu-regexp-1.1.4-10jpp.noarch.rpm 
W: gnu-regexp non-standard-group Development/Libraries/Java
E: gnu-regexp tag-not-utf8 %changelog
[jjohnstn@vermillion noarch]$ rpmlint gnu-regexp-demo-1.1.4-10jpp.noarch.rpm 
W: gnu-regexp-demo non-standard-group Development/Libraries/Java
E: gnu-regexp-demo tag-not-utf8 %changelog
W: gnu-regexp-demo no-documentation
[jjohnstn@vermillion noarch]$ rpmlint gnu-regexp-javadoc-1.1.4-10jpp.noarch.rpm 
W: gnu-regexp-javadoc non-standard-group Development/Documentation
E: gnu-regexp-javadoc tag-not-utf8 %changelog
W: gnu-regexp-javadoc dangerous-command-in-%post rm
W: gnu-regexp-javadoc dangerous-command-in-%postun rm



Comment 2 Thomas Fitzsimmons 2007-02-13 01:23:54 UTC
$ rpmlint
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-demo-1.1.4-10jpp.1.noarch.rpm
W: gnu-regexp-demo no-documentation

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-1.1.4-10jpp.1.noarch.rpm --requires 
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-1.1.4-10jpp.1.noarch.rpm --requires 
gnu.regexp = 1.1.4-10jpp.1
gnu-regexp = 1.1.4-10jpp.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-demo-1.1.4-10jpp.1.noarch.rpm
gnu-regexp = 1.1.4-10jpp.1
gnu.getopt  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-demo-1.1.4-10jpp.1.noarch.rpm
gnu.regexp-demo = 1.1.4-10jpp.1
gnu-regexp-demo = 1.1.4-10jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-javadoc-1.1.4-10jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/gnu-regexp-javadoc-1.1.4-10jpp.1.noarch.rpm
gnu.regexp-javadoc = 1.1.4-10jpp.1
gnu-regexp-javadoc = 1.1.4-10jpp.1

Spec URL: http://fitzsim.org/packages/gnu-regexp.spec
SRPM URL: http://fitzsim.org/packages/gnu-regexp-1.1.4-10jpp.1.src.rpm


Comment 3 Jeff Johnston 2007-02-13 16:51:45 UTC
Approved.

Comment 4 Nuno Santos 2007-02-21 21:16:35 UTC
New Package CVS Request
=======================
Package Name: gnu-regexp-1.1.4-10jpp
Short Description: Java NFA regular expression engine implementation
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com


Note You need to log in before you can comment on or make changes to this bug.